package com.nantian.cloud.jly.service;

import com.nantian.sc.cloud.common.core.util.R;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jly.entity.InspectionData;

import java.math.BigInteger;


/**
 * 请假流程
 *
 * @author
 * @date 2018-09-27 15:20:44
 */
public interface InspectionDataService extends IService<InspectionData> {

    //根据企业编码和计划id获取信息
    InspectionData getByPlanIdAndEpc(BigInteger checkPlanId, String enterpriseCode);

    //企业上传文件材料
    boolean upload(String uuid, String type, BigInteger checkPlanId, String enterpriseCode);

    //审核18项资料
    R audit(BigInteger id, String state, String status, String info,String mendFile);

    R uploadFiles(String type, BigInteger checkPlanId, String enterpriseCode, String flieList,String mend);

    R resetState(BigInteger id, String state, String status, String info, String mendFile);
}

